Create a product item

Requires the PRODUCT_ITEM.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
product_idstring or nullOptional
The resource ID of the product, that belongs to the product item.
productobject or nullOptional
namestring or nullOptionalformat: "^.*$"0-256 characters
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
typeenum or nullOptional
The type of the product item.
Allowed values:
model_typeenum or nullOptional
usage_basedobjectOptional

Additional settings in case of a USAGE_BASED type.

creditsobjectOptional
Additional settings in case of a CREDITS type.
meter_value_calculationobject or nullOptional
tax_categoryenum or nullOptional
The default tax category applied to the product item.
Allowed values:
display_orderinteger or nullOptional
unit_nameobjectOptional
custom_fieldslist of objects or nullOptional
Custom fields associated to this product item
meter_value_calculation_idstring or nullOptionalDeprecated

The linked meter value calculation, in case of a USAGE_BASED charge type.

report_meter_value_calculation_idslist of strings or nullOptionalDeprecated

Optional reporting meter value calculations, in case of a USAGE_BASED charge type.

Response

Created
referencestringformat: "^\S+$"0-256 characters
object_typestring or nullRead-only
idstring or nullRead-only
product_idstring or null
The resource ID of the product, that belongs to the product item.
productobject or null
namestring or nullformat: "^.*$"0-256 characters
statusenum or nullRead-only
Allowed values:
descriptionstring or nullformat: "^.*$"0-256 characters
typeenum or null
The type of the product item.
Allowed values:
model_typeenum or null
usage_basedobject

Additional settings in case of a USAGE_BASED type.

creditsobject
Additional settings in case of a CREDITS type.
meter_value_calculationobject or null
tax_categoryenum or null
The default tax category applied to the product item.
Allowed values:
display_orderinteger or null
unit_nameobject
custom_fieldslist of objects or null
Custom fields associated to this product item
meter_value_calculation_idstring or nullDeprecated

The linked meter value calculation, in case of a USAGE_BASED charge type.

report_meter_value_calculation_idslist of strings or nullDeprecated

Optional reporting meter value calculations, in case of a USAGE_BASED charge type.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error